Bug 509524 - Review Request: perl-Test-Unit-Runner-Xml - Generate XML reports from unit test results
Review Request: perl-Test-Unit-Runner-Xml - Generate XML reports from unit te...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 05:41 EDT by Xavier Bachelot
Modified: 2009-07-16 11:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 11:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-07-03 05:41:11 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Test-Unit-Runner-Xml.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Test-Unit-Runner-Xml-0.1-2.fc10.src.rpm
Description: 
Test::Unit::Runner::XML generates XML reports from unit test results. The
reports are in the same format as those produced by Ant's JUnit task, allowing
them to be used with Java continuous integration and reporting tools.
Comment 1 Parag AN(पराग) 2009-07-03 06:05:34 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1452301
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fdbc1a465b0940445ba853471d702c4837da377a  Test-Unit-Runner-Xml-0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=27,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.76 cusr  0.14 csys =  0.94 CPU)
+ Package perl-Test-Unit-Runner-Xml-0.1-2.fc12.noarch =>
Provides: perl(Test::Unit::Runner::XML) = 0.1
Requires: perl(Time::HiRes) perl(XML::Generator) perl(base) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Xavier Bachelot 2009-07-03 06:18:36 EDT
Thanks Parag, that was really fast :-)

New Package CVS Request
=======================
Package Name: perl-Test-Unit-Runner-Xml
Short Description: Generate XML reports from unit test results
Owners: xavierb
Branches: F-10 F-11 EL-5
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-07-06 00:11:03 EDT
cvs done.
Comment 4 Parag AN(पराग) 2009-07-16 10:41:45 EDT
ping?
Is this built for all requested branches?
Comment 5 Xavier Bachelot 2009-07-16 11:09:25 EDT
Sorry, I forgot to add the bug number to the push request, so it was not closed automagically. The package has been push to F10 and F11 updates this morning and the EL-5 package is in epel-testing. Thanks for the heads up.

Note You need to log in before you can comment on or make changes to this bug.